- Qt 6.8
- Qt Quick 3D Physics
- QML Types
- SphereShape
- Qt Quick 3D Physics | Commercial or GPLv3

# SphereShape QML Type

Defines a spherical collision shape. More...

Import Statement: | `import QtQuick3D.Physics`
Since: | Qt 6.4
Inherits: | CollisionShape

- List of all members, including inherited members

## Properties

- diameter : float

## Detailed Description

This type defines a spherical shape. The origin is at the center of the sphere.

Note: When using a scaling transformation with this shape, the x component will be used to scale the diameter of the sphere. The resulting shape will be perfectly round, even if a non-uniform scaling transformation is used.

## Property Documentation

diameter : float

This property defines the diameter of the sphere

Default value: `100`